## org.h2.command.ddl
Class CreateIndex

    java.lang.Object
      org.h2.command.Prepared
          org.h2.command.ddl.DefineCommand
              org.h2.command.ddl.SchemaCommand
                  org.h2.command.ddl.CreateIndex

    public class CreateIndex

extends SchemaCommand

This class represents the statement CREATE INDEX

Field Summary

Fields inherited from class org.h2.command.Prepared
`create, parameters, prepareAlways, session, sqlStatement`

Constructor Summary
`CreateIndex(Session session, Schema schema)`

Method Summary
`void` `setComment(java.lang.String comment)`
`void` `setHash(boolean b)`
`void` `setIfNotExists(boolean ifNotExists)`
`void` `setIndexColumns(IndexColumn[] columns)`
`void` `setIndexName(java.lang.String indexName)`
`void` `setPrimaryKey(boolean b)`
`void` `setTableName(java.lang.String tableName)`
`void` `setUnique(boolean b)`
`int` `update()` Execute the statement.

Methods inherited from class org.h2.command.ddl.SchemaCommand
`getSchema`

Methods inherited from class org.h2.command.ddl.DefineCommand
`isReadOnly, isTransactional, queryMeta`

Methods inherited from class org.h2.command.Prepared
`checkCanceled, checkParameters, getCurrentObjectId, getCurrentRowNumber, getObjectId, getParameters, getPlanSQL, getSQL, getSQL, getSQL, isQuery, needRecompile, prepare, query, setCommand, setCurrentRowNumber, setObjectId, setParameterList, setPrepareAlways, setRow, setSession, setSQL, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CreateIndex

    public CreateIndex(Session session,
                       Schema schema)

Method Detail

### setIfNotExists

    public void setIfNotExists(boolean ifNotExists)

### setTableName

    public void setTableName(java.lang.String tableName)

### setIndexName

    public void setIndexName(java.lang.String indexName)

### setIndexColumns

    public void setIndexColumns(IndexColumn[] columns)

### update

    public int update()

  Description copied from class: `Prepared`
  Execute the statement.

  Overrides:
    `update` in class `Prepared`
  Returns:
    the update count

### setPrimaryKey

    public void setPrimaryKey(boolean b)

### setUnique

    public void setUnique(boolean b)

### setHash

    public void setHash(boolean b)

### setComment

    public void setComment(java.lang.String comment)